<?php 
	
	//hheading settings
	$wp_customize->add_section( 'ShocK_body_heading_option', array(
		'title'          => __( 'Headings (Titles)', 'ShocK' ),
		'priority'       => 34,
	) );
	$wp_customize->add_setting( 'ShocK_theme_options[Headings_fontfamily]', array(
		'default'    => $options['Headings_fontfamily'],
		'section' 	 => 'ShocK_body_heading_option',
		'capability' => 'edit_theme_options',
		'transport'  => 'postMessage'
	) );

	$wp_customize->add_control( 'ShocShocK_body_heading_optionK_body_options_font', array(
		'label'    => __( 'Font Family', 'ShocK' ),
		'section'  => 'ShocK_body_heading_option',
		'settings' => 'ShocK_theme_options[Headings_fontfamily]',
		'type'     => 'select',
		'choices'  => $fonts,
		'priority' => 1,
	) );

	// Headings  range (h1 to h6)
	$range_headings = range (1,6);
	$priority = 1;

	foreach ($range_headings as $value) {
	
		//heading font size
		$heading_fontsize = "H{$value}_fontsize";
		$heading_color = "H{$value}_color";
		$heading_label_fon = "H{$value} fontsize";
		$heading_label_col = "H{$value} color";

		$wp_customize->add_setting( "ShocK_theme_options[{$heading_fontsize}]", array(
			'default'           => $options[$heading_fontsize],
			'section'			=> 'ShocK_body_heading_option',
			'capability'        => 'edit_theme_options',
			'transport'			=> 'postMessage',
			'sanitize_callback' => 'ShocK_sanitize_fontsize_size'
		) );

		$wp_customize->add_control( 'ShocK_body_options_'.$heading_fontsize, array(
			'label'    => __( $heading_label_fon, 'ShocK' ),
			'section'  => 'ShocK_body_heading_option',
			'settings' => "ShocK_theme_options[{$heading_fontsize}]",
			'type'     => 'text',
			'priority' => ++$priority,
		) );
		//color heading
		$wp_customize->add_setting( "ShocK_theme_options[{$heading_color}]", array(
			'default'           => $options['H1_color'],
			'capability'        => 'edit_theme_options',
			'transport'			=> 'postMessage',
			'sanitize_callback' => 'sanitize_hex_color'
		) );

		$wp_customize->add_control(
			new WP_Customize_Color_Control( 
				$wp_customize, 
				$heading_color,
				array(
				'label'    => __( $heading_label_col, 'ShocK' ),
				'section'  => 'ShocK_body_heading_option',
				'settings' => "ShocK_theme_options[{$heading_color}]",
				'priority' => ++$priority
				)
			)
		);
	}

	function ShocK_sanitize_fontsize_size ( $value ){
		
		if ( absint( $value ) == 0 )
			$value = 'inherit';

		return $value;
	}


?>