<?php
function ShocK_add_admin() {

	global $themename;
    $theme_page = add_theme_page(
        __( 'ShocK Options', 'ShocK' ),   // Name of page
        __( 'ShocK Options', 'ShocK' ),   // Label in menu
        'edit_theme_options',                // Capability required
        'theme_options',                     // Menu slug, used to uniquely identify the page
        'themeshock_admin' // Function that renders the options page
    );

    if ( ! $theme_page )
        return; 
        
    add_action( "load-$theme_page", 'themeshock_help' );      
    
}
add_action('admin_menu', 'ShocK_add_admin');

/**
 * [themeshock_help  This function hass been created to show the necessary information for the theme]
 * @return no return
 */
function themeshock_help(){

	/*muestra la ayuda themes options */
	//General Menu
	//License.
	$sidebar=' <br> WPThemeGenerator is creative under Enterprise License.';

	//Specific menu list

	$overview = '
		<br><strong> Font Style </strong> <br> Select the font what you will be use into your theme.
		<br><strong> Logo </strong> <br>	You can select between css style logo or an image for your theme. In CSS case you choose your theme effects with the logotype toolbar.
		<br><strong> Slider Options </strong> <br>	Many features hass been added to the theme. You can choose select more than 30 different styles to show your slider in the theme.
		<br><strong> Layout Creator </strong> <br> You can create many sidebar automatically for your different posts types and pages.
		<br><strong> Responsive Mode </strong> <br> Enable the responsive mode for your site ( Default: Enable ).
		<br><strong> Icon Post </strong> <br> Enable to show the post icons in your site.
		<br><strong> Search Menu </strong> <br> Use to enable the menu and search form in your theme.
			Multiple frames and effects could be used into the theme.';

	
	$screen = get_current_screen();

	if ( method_exists( $screen, 'add_help_tab' ) ) {
		// WordPress 3.3

		$screen->add_help_tab( array(
			'title' => __( 'Overview',THEME_NAME ),
			'id' => 'theme-options-help',
			'content' => $overview
			)
		);

		//sidebar
		$screen->set_help_sidebar( $sidebar );

	}
}





function themeshock_admin() {

	add_meta_box('wptg-slider', 'Slider', 'getThemeGenSlider', 'appearance_page_theme_options', 'wptg_slider', 'core');
	add_meta_box('wptg-page-layout', 'Layout Creator', 'getThemeGenPageLayout', 'appearance_page_theme_options', 'wptg_page_layout', 'core');

	/*plugin territory*/
		add_meta_box('wptg-shortcodes', 'Custom Post Type Shortcodes', 'getThemeGenShortcodes', 'appearance_page_theme_options', 'wptg_shortcodes', 'core');
		add_meta_box('wptg-metatags-favicon', 'Meta Tags and Favicon', 'getThemeGenMetaTagsFavicon', 'appearance_page_theme_options', 'wptg_metatags_favicon', 'core');
		add_meta_box('wptg-socials-networks', 'Social Networks', 'getThemeGenSocialNetworks', 'appearance_page_theme_options', 'wptg_social_networks', 'core');
		add_meta_box('wptg-contact-form', 'Contact Form', 'getThemeGenContactForm', 'appearance_page_theme_options', 'wptg_contact_form', 'core');
		add_meta_box('wptg-custom-post-types', 'Options Custom Post Types', 'getThemeGenCustomPostTypes', 'appearance_page_theme_options', 'wptg_custom_post_types', 'core');
		add_meta_box('wptg-shopping-cart', 'Shopping Cart', 'getThemeGenShoppingCart', 'appearance_page_theme_options', 'wptg_shopping_cart', 'core');
		add_meta_box('wptg-testimonial-quotes', 'Testimonial Quotes', 'getThemeGenTestimonialQuotes', 'appearance_page_theme_options', 'wptg_testimonial_quotes', 'core');
		add_meta_box('wptg-google-analytics', 'Google Analytics', 'getThemeGenGoogleAnalytics', 'appearance_page_theme_options', 'wptg_google_analytics', 'core');
	/*end plugin territory*/
?>
<script type="text/javascript">
	jQuery(document).ready( function($) {
		jQuery('.if-js-closed').removeClass('if-js-closed').addClass('closed');
		postboxes.add_postbox_toggles('appearance_page_theme_options');
	});
</script>
	<!-- new layout options wpthemegenerator -->
	<div class="wrap" id="wrapper-options-wpthemegenerator">
		<?php
			if ( isset( $_GET['settings-updated'] ) ) {

				echo '<div class="updated"><p>';
				_e( 'Theme settings updated successfully.', 'ShocK' );
				echo '</p></div>';

			}
		?>
		<div class="bottom-saver">
			<span id="wptg-bnr">Theme Generator &copy; <?php echo date('Y');?></span>
			<span class="update_text" style="display:none;"> <b><i>Updating...</i></b></span>
			<span class="updated_text" style="display:none;color:#2a95c5;"> <b><i>Saved!</i></b></span>
		</div>
		<form method="post" enctype="multipart/form-data" onsubmit="verify_chk_box();" id="wptg-form">
			<?php
				wp_nonce_field('wrapper-options-wpthemegenerator');
				wp_nonce_field('closedpostboxes', 'closedpostboxesnonce', false );
				wp_nonce_field('meta-box-order', 'meta-box-order-nonce', false );
				/*theme-standard
					$metaBoxCols1 = array( 'wptg_slider', 'wptg_page_layout' );
				end-theme-standard*/
				/*plugin territory*/
				$metaBoxCols1 = array( 'wptg_social_networks',  'wptg_metatags_favicon','wptg_posts');
				$metaBoxCols2 = array( 'wptg_shopping_cart', 'wptg_google_analytics', 'wptg_contact_form', 'wptg_shortcodes', 'wptg_custom_post_types');
				$metaBoxCols3 = array( 'wptg_slider', 'wptg_testimonial_quotes','wptg_page_layout' );
				/*end plugin territory*/
			?>
			<h2><?php _e('Options for ', THEME_NAME); echo THEME_NAME; ?></h2>

			<div class="wptg-cols wptg-col1">
				<?php foreach($metaBoxCols1 as $wptgMetabox){
					do_meta_boxes('appearance_page_theme_options', $wptgMetabox, '');
				}?>
			</div><!-- end wptg-cols -->
			<!--plugin territory-->
			<div class="wptg-cols wptg-col2">
				<?php foreach($metaBoxCols2 as $wptgMetabox){
					do_meta_boxes('appearance_page_theme_options', $wptgMetabox, '');
				}?>
			</div><!-- end wptg-cols -->
			<div class="wptg-cols wptg-col3">
				<?php foreach($metaBoxCols3 as $wptgMetabox){
					do_meta_boxes('appearance_page_theme_options', $wptgMetabox, '');
				}?>
			</div><!-- end wptg-cols -->
			<!--end plugin territory-->
			<?php wp_nonce_field( 'ShocK_save_settings','ShocK_save_opt' ); ?>			
			<div class="area-save-btn">
			<input name="save" type="submit" value="Save Changes" id="button-primary-btn" class="button-primary"/></div><!-- end area-save -->
			<input type="hidden" name="action" value="save" />
		</form>
	</div><!-- end wrap -->

	<form method="post" enctype="multipart/form-data">
		<p class="submit">
			<input name="reset" type="submit" value="Reset" />
			<input type="hidden" name="action" value="reset" />
		</p>
	</form>
	<div style="font-size:9px; margin-bottom:10px;">
		Icons: <?php $icons = 'http://www.iconshock.com'?>
		<a href="<?php echo $icons;?>">Iconshock</a>
	</div>
<?php
}
?>